pidgin: gtksmiley.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Typedefs | Functions
gtksmiley.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Custom Smiley API. More...

`#include "smiley.h"`

Go to the source code of this file.

## Typedefs
typedef struct _PidginSmiley | PidginSmiley

## Functions
void | pidgin_smiley_add_to_list (PurpleSmiley *smiley)
| Add a PurpleSmiley to the GtkIMHtmlSmiley's list to be able to use it in pidgin.
void | pidgin_smiley_del_from_list (PurpleSmiley *smiley)
| Delete a PurpleSmiley from the GtkIMHtmlSmiley's list.
void | pidgin_smileys_init (void)
| Load the GtkIMHtml list.
void | pidgin_smileys_uninit (void)
| Uninit the GtkIMHtml list.
GSList * | pidgin_smileys_get_all (void)
| Returns a GSList with the GtkIMHtmlSmiley of each custom smiley.
void | pidgin_smiley_manager_show (void)
| Displays the Smiley Manager Window.
PidginSmiley * | pidgin_smiley_edit (GtkWidget *widget, PurpleSmiley *smiley)
| Shows an editor for a smiley.
void | pidgin_smiley_editor_set_shortcut (PidginSmiley *editor, const gchar *shortcut)
| Set the shortcut in a smiley add dialog.
void | pidgin_smiley_editor_set_image (PidginSmiley *editor, GdkPixbuf *image)
| Set the image in a smiley add dialog.
void | pidgin_smiley_editor_set_data (PidginSmiley *editor, gpointer data, gsize datasize)
| Sets the image data in a smiley add dialog.

## Detailed Description

GTK+ Custom Smiley API.

Since
  2.5.0

Definition in file gtksmiley.h.

## Typedef Documentation

## ◆ PidginSmiley

typedef struct _PidginSmiley PidginSmiley

Definition at line 33 of file gtksmiley.h.

## Function Documentation

## ◆ pidgin_smiley_add_to_list()

void pidgin_smiley_add_to_list | ( | PurpleSmiley * | smiley | ) |

Add a PurpleSmiley to the GtkIMHtmlSmiley's list to be able to use it in pidgin.

Parameters

  smiley | The smiley to be added.

## ◆ pidgin_smiley_del_from_list()

void pidgin_smiley_del_from_list | ( | PurpleSmiley * | smiley | ) |

Delete a PurpleSmiley from the GtkIMHtmlSmiley's list.

Parameters

  smiley | The smiley to be deleted.

## ◆ pidgin_smiley_edit()

PidginSmiley * pidgin_smiley_edit | ( | GtkWidget * | widget,
|  | PurpleSmiley * | smiley
| ) |  |

Shows an editor for a smiley.

Parameters

  widget | The parent widget to be linked or `NULL`
  smiley | The PurpleSmiley to be edited, or `NULL` for a new smiley

Returns
  The smiley add dialog

See also
  pidgin_smiley_editor_set_shortcut
  pidgin_smiley_editor_set_image

## ◆ pidgin_smiley_editor_set_data()

void pidgin_smiley_editor_set_data | ( | PidginSmiley * | editor,
|  | gpointer | data,
|  | gsize | datasize
| ) |  |

Sets the image data in a smiley add dialog.

Parameters

  editor | A smiley editor dialog
  data | A pointer to smiley's data
  datasize | The size of smiley's data

Since
  2.6.0

## ◆ pidgin_smiley_editor_set_image()

void pidgin_smiley_editor_set_image | ( | PidginSmiley * | editor,
|  | GdkPixbuf * | image
| ) |  |

Set the image in a smiley add dialog.

Parameters

  editor | A smiley editor dialog
  image | A GdkPixbuf image

## ◆ pidgin_smiley_editor_set_shortcut()

void pidgin_smiley_editor_set_shortcut | ( | PidginSmiley * | editor,
|  | const gchar * | shortcut
| ) |  |

Set the shortcut in a smiley add dialog.

Parameters

  editor | A smiley editor dialog (created by pidgin_smiley_edit)
  shortcut | The shortcut to set

## ◆ pidgin_smileys_get_all()

GSList * pidgin_smileys_get_all | ( | void |  | ) |

Returns a GSList with the GtkIMHtmlSmiley of each custom smiley.

Note
  The return value of this function must not be modified or freed.

Returns
  A GtkIMHmlSmiley list